Skip to main content
PUT
/
visual-changesets
/
{id}
cURL
curl -XPUT https://api.growthbook.io/api/v1/visual-changesets/vc_123abc
  -d '{"editorUrl": "https://docs.growthbook.io", "urlPatterns":"[{ ... }]"}' \
  -u secret_abc123DEF456:
{
  "nModified": 123,
  "visualChangeset": {
    "urlPatterns": [
      {
        "type": "simple",
        "pattern": "<string>",
        "include": true
      }
    ],
    "editorUrl": "<string>",
    "experiment": "<string>",
    "visualChanges": [
      {
        "variation": "<string>",
        "domMutations": [
          {
            "selector": "<string>",
            "action": "append",
            "attribute": "<string>",
            "value": "<string>",
            "parentSelector": "<string>",
            "insertBeforeSelector": "<string>"
          }
        ],
        "description": "<string>",
        "css": "<string>",
        "js": "<string>"
      }
    ],
    "id": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

If using Bearer auth, pass the Secret Key as the token:

curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"

Path Parameters

id
string
required

The id of the requested resource

Response

200 - application/json

Success

nModified
number
required
visualChangeset
object
required